> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streamnative.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Return a list of consumer lags of the consumers belonging to the specified consumer group.

> Retrieves consumer lag information for all topic partitions consumed by the specified consumer group. Lag represents the difference between the latest offset and the consumer's current position.



## OpenAPI

````yaml get /admin/v1/consumer-groups/{consumer_group_id}/lags
openapi: 3.0.0
info:
  title: StreamNative Kafka REST API
  description: >-
    REST API for managing Kafka resources and producing/consuming messages in
    StreamNative Cloud
  version: v1
servers: []
security: []
paths:
  /admin/v1/consumer-groups/{consumer_group_id}/lags:
    get:
      tags:
        - ksn-consumer-group
      summary: >-
        Return a list of consumer lags of the consumers belonging to the
        specified consumer group.
      description: >-
        Retrieves consumer lag information for all topic partitions consumed by
        the specified consumer group. Lag represents the difference between the
        latest offset and the consumer's current position.
      operationId: getConsumerGroupLags
      parameters:
        - name: consumer_group_id
          in: path
          description: The consumer group ID.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KafkaConsumerLagList'
        '400':
          description: Wrong request params
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
components:
  schemas:
    KafkaConsumerLagList:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/KafkaConsumerLag'
        metadata:
          $ref: '#/components/schemas/Metadata'
        kind:
          type: string
    KafkaConsumerLag:
      type: object
      properties:
        consumer_group_id:
          type: string
        topic_name:
          type: string
        partition_id:
          type: integer
          format: int32
        consumer_id:
          type: string
        host:
          type: string
        client_id:
          type: string
        current_offset:
          type: integer
          format: int64
        log_end_offset:
          type: integer
          format: int64
        lag:
          type: integer
          format: int64
        metadata:
          $ref: '#/components/schemas/Metadata'
        kind:
          type: string
    Metadata:
      type: object

````